<template>
  <div class="kit table simple">
    <div class="line title table">
      <div class="unit name">Наименование организации</div>
      <div class="unit inn">ИНН</div>
      <div class="unit shops">Кол-во магазинов</div>
      <div class="unit sto">Кол-во автотехцентров</div>
      <div class="unit action"/>
    </div>
    <div
      class="line body table"
      v-for="item in organizations"
      :key="item.id">
      <div class="unit name">{{ item.name }}</div>
      <div class="unit inn">{{ item.inn }}</div>
      <div class="unit shops">
        <div>
          <span v-if="item.shops.length > 0">
            {{ item.shops.length }}
            {{ item.shops.length | transChoose(['магазин', 'магазина', 'магазинов']) }}</span>
          <flink
            :href="'/cabinet/wrench/organization-sto/shop/create/' + item.id"
            class="kit aqualink">+ Добавить магазин</flink>
        </div>
      </div>
      <div class="unit sto">
        <div>
          <span v-if="item.autoServices.length > 0">
            {{ item.autoServices.length }}
            {{ item.autoServices.length | transChoose(['автотехцентр', 'автотехцентра', 'автотехцентров']) }}</span>
          <flink
            :href="'/cabinet/wrench/organization-sto/sto/create/' + item.id"
            class="kit aqualink">+ Добавить автотехцентр</flink>
        </div>
      </div>
      <div class="unit action">
        <flink
          :href="'/cabinet/wrench/organization-info/edit/' + item.id"
          class="ui button blue mini circular">
          Редактировать
        </flink>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ResultsTableOrgInfo',
  props: {
    organizations: {
      type: Array,
      default() { return []; },
    },
  },
};
</script>

<style scoped lang="postcss">
  .kit.table.simple {
    display: flex;
    flex-flow: column wrap;
    justify-content: flex-start;
    align-items: center;
    padding: 0;
    width: 100%;
    margin: 0;
    border: 1px solid #c5d1d9;
    border-bottom: 0;

    .line.table {
      display: flex;
      flex-flow: row nowrap;
      align-items: stretch;
      justify-content: space-between;
      height: auto;
      width: 100%;
      padding: 0;
      border-bottom: 1px solid #c5d1d9;
      font-size: 0.8125rem;
      font-weight: 400;
      line-height: 1.3;
      &.body:hover {
        box-shadow: 0 4px 8px 0 rgba(96, 126, 146, 0.15);
      }
      .unit {
        display: inline-flex;
        justify-content: flex-start;
        align-items: center;
        overflow: hidden;
        &.name {
          width: 43%;
        }
        &.inn {
          width: 11%;
        }
        &.shops {
          width: 15%;
        }
        &.sto {
          width: 17%;
        }
        &.action {
          width: 14%;
          &:before {
            display: none;
          }
        }
      }
    }

    .line.title.table {
      width: 100%;
      max-height: 50px;
      text-align: left;
      font-size: 0.8125rem;
      font-weight: 500;
      padding: 0;
      color: #272727;
      background-color: #ededed;
      .unit {
        padding: 0.5rem;
      }
    }

    .line.body.table {
      .unit {
        flex-flow: row wrap;
        padding: 1rem 0.5rem;
        font-size: 0.6875rem;
        font-weight: 400;
        color: #4a4a4a;
        .aqualink {
          display: block;
          font: inherit;
          padding-top: 0.25rem;
        }
        &.name {
          font-size: 0.8125rem;
          font-weight: 500;
          color: #272727;
        }
        &.inn {

        }
        &.shops {

        }
        &.sto {

        }
        &.action {

        }
      }
    }
  }

</style>
